<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Quản lý lớp học</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminClassManagement.css" rel="stylesheet" type="text/css"/>

</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto" th:if="${admin.role == 'Cộng tác viên'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/person-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin cá nhân
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Danh sách học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Danh sách lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Danh sách tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <ul class="nav nav-pills flex-column mb-auto"
        th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>

  </div>
  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <div id="tableClasses">
      <div class="row">
        <div class="col-md-5 d-flex justify-content-center align-items-center">
          <h5 id="titleTable">Danh sách lớp học</h5>
        </div>
        <div class="col-md-2" style="text-align: center">
          <a class="btn btn-primary" th:href="@{/manager/get-create-class}"
             th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}"
             type="button">Thêm mới</a>
        </div>
        <form class="col-md-5" method="get"
              style="display:flex; flex-direction: column; justify-content: center"
              th:action="@{/collaborator/class-management/page/1}" th:object="${search}">
          <div style="display:flex;">
            <select class="form-select" id="inputGroupSelect01" style="width: fit-content"
                    th:field="${search.state}">
              <option th:selected="${search.state == null}" th:value="null">
                Trạng thái
              </option>
              <option th:selected="${search.state == 'PREP'}" th:value="PREP">
                Dự bị
              </option>
              <option th:selected="${search.state == 'WAIT'}" th:value="WAIT">
                Sắp khai giảng
              </option>
              <option th:selected="${search.state == 'DOING'}" th:value="DOING">
                Đang diễn ra
              </option>
              <option th:selected="${search.state == 'FINISHED'}" th:value="FINISHED">
                Đã kết thúc
              </option>
            </select>
            <div class="input-group input-group-sm mb-3"
                 style="margin-bottom: 0!important">
              <input class="form-control"
                     placeholder="Tìm theo tên lớp, giảng viên, quản lý"
                     style="padding-left: 10px" th:field="${search.content}" type="text">
              <button class="input-group-text" id="inputGroup-sizing-sm" type="submit">
                <i aria-hidden="true" class="fa fa-search"></i>
              </button>
            </div>
          </div>
        </form>
      </div>
      <div>
        <table class="table">
          <thead>
          <tr>
            <th scope="col">STT</th>
            <th scope="col">Tên</th>
            <th scope="col">Học viên</th>
            <th scope="col">Giảng viên</th>
            <th scope="col">Trợ giảng</th>
            <th scope="col">Quản lý</th>
            <th scope="col">Ngày khai giảng</th>
            <th scope="col">Trạng thái</th>
            <th scope="col"></th>
          </tr>
          </thead>
          <tbody>
          <tr th:each='item,state : ${listClasses}'>
            <th scope="row">
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${pageId - 1} * ${size} + ${state.index  + 1}"></a>
            </th>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.name}"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.numberStudent} + ' học viên'"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.teacherName}"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.supporter.name}"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.manager.name}"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${#temporals.format(item.dateOpening, 'dd-MM-yyyy')}"></a>
            </td>
            <td>
              <a class="info" th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.id})}"
                 th:text="${item.state}"></a>
            </td>
            <td th:if="${admin.role == 'Cộng tác viên'}">
              <a id="addStudent" th:onclick="'addStudent('+ ${item.id} +')'" type="button">
                <i aria-hidden="true" class="fa fa-user-plus"></i>
              </a>
            </td>
            <td th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}">
              <a id="addStudent" th:onclick="'addStudent('+ ${item.id} +')'" type="button">
                <i aria-hidden="true" class="fa fa-user-plus"></i>
              </a>
              &nbsp;
              <a id="editButton" th:href="@{/manager/get-update-class/{id} (id = ${item.id})}"
                 type="button">
                <i aria-hidden="true" class="fa fa-pencil-square-o"></i>
              </a>
              &nbsp;
              <a id="deleteButton" th:href="@{/manager/delete-class/{id} (id = ${item.id})}"
                 th:if="${item.state != 'Dự bị'}"
                 type="button">
                <i aria-hidden="true" class="fa fa-times-circle"></i>
              </a>
            </td>
          </tr>
          </tbody>
        </table>
        <nav aria-label="Page navigation example" class="d-flex justify-content-center"
             th:if="${page} > 1">
          <ul class="pagination">
            <li class="page-item">
              <a aria-label="Previous" class="page-link" onclick="checkBehind()"
                 th:href="@{/collaborator/class-management/page/{pageId}(pageId = ${pageId - 1}, state = ${search.state}, content = ${search.content})}">
                <span aria-hidden="true">&laquo;</span>
                <span class="sr-only">Previous</span>
              </a>
            </li>
            <li class="page-item" th:each="item : ${stt}">
              <a class="page-link"
                 th:href="@{/collaborator/class-management/page/{pageId}(pageId = ${item}, state = ${search.state}, content = ${search.content})}"
                 th:text="${item}"></a>
            </li>
            <li class="page-item">
              <a aria-label="Next" class="page-link" onclick="checkForward()"
                 th:href="@{/collaborator/class-management/page/{pageId}(pageId = ${pageId + 1}, state = ${search.state}, content = ${search.content})}">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
              </a>
            </li>
          </ul>
        </nav>
        <div class="caption">Bấm vào từng lớp học để xem chi tiết thông tin</div>
        <div class="caption"
             th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}"><i
            aria-hidden="true"
            class="fa fa-times-circle"></i>
          - Xóa lớp học
        </div>
        <div class="caption"
             th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}"><i
            aria-hidden="true"
            class="fa fa-pencil-square-o"></i>
          - Sửa thông tin lớp học
        </div>
        <div class="caption"><i aria-hidden="true" class="fa fa-user-plus"></i>
          - Thêm thông tin học viên vào lớp học
        </div>
      </div>
    </div>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
    <div id="notification" th:if="${notification.text != null }" th:object="${notification}">
      <div id="contentNotification">
        <div id="headerNotification">
          <h4 style="margin: 0; color: red">THÔNG BÁO</h4>
          <a class="btn"><i class="fa fa-window-close"></i> Đóng lại</a>
        </div>
        <hr>
        <p th:utext="${notification.text}"></p>
      </div>
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script th:inline="javascript">
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);
  }

  showTime();

  $("#notification").click(function () {
    $("#notification").hide();
  });

  function addStudent(classId) {
    Swal.fire({
      icon: 'question',
      title: 'Trong hệ thống đã có thông tin Học viên chưa ?',
      showDenyButton: true,
      confirmButtonText: 'Có',
      denyButtonText: `Không`,
    }).then((result) => {
      if (result.isConfirmed) {
        Swal.fire({
          title: 'Nhập email học viên',
          input: 'text',
          inputAttributes: {
            autocapitalize: 'off'
          },
          showCancelButton: true,
          cancelButtonText: 'Đóng',
          confirmButtonText: 'xác nhận',
          showLoaderOnConfirm: true,
          preConfirm: (email) => {
            return window.location = '/collaborator/class/' + classId + '/add-student/' + email;
          },
        })
      } else if (result.isDenied) {
        window.location = '/collaborator/get-create-user';
      }
    })
  }

  const page = [[${page}]];
  const pageId = [[${pageId}]];

  function checkForward() {
    if (pageId + 1 > page) {
      event.preventDefault();
    }
  }

  function checkBehind() {
    if (pageId - 1 <= 0) {
      event.preventDefault();
    }
  }
</script>
</body>
</html>
